"use strict";
(function ($) {
    $.field_tableview = function (element, options) {
        var defaults = {
            input_name: ""
        }
        var plugin = this;
        plugin.settings = {}
        var $element = $(element), 
            element = element;
        plugin.init = function () {
            $element.find('.table-view').select2();

        }
        plugin.example_function = function () {
        };
        plugin.init();
    }
    
    $.fn.field_tableview = function (options) {
        
        return this.each(function () {
            
            if (undefined == $(this).data('field_tableview')) {
                var plugin = new $.field_tableview(this, options);
                $(this).data('field_tableview', plugin);
            }
        });
    }
})(jQuery);
